<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:c="http://java.sun.com/jsf/core"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">

<h:head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
	<link rel="stylesheet"
		href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
		crossorigin="anonymous" />
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
		integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
		integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
		crossorigin="anonymous"></script>
	<script>
		$( document ).ready(function() {
		    $('#myModal').modal('toggle')
		});
	</script>
	<script type="text/javascript">
    function handleCargarRequest(xhr, status, args) {
        if(args.validationFailed || !args.loggedIn) {
            PF('dlg4').jq.effect("shake", {times:5}, 100);
        }
        else {
            PF('dlg4').hide();
            location.reload();
        }
    }
</script>
	<script type="text/javascript">
    function handleCargarRequest2(xhr, status, args) {
        if(args.validationFailed || args.loggedIn) {
            PF('addcat').jq.effect("addcat", {times:5}, 100);
        }
        else {
            PF('addcat').hide();
            location.reload();
        }
    }
</script>
</h:head>
<style type="text/css">
.ui-datatable {
	margin-bottom: 25px
}
.value {
	font-weight: bold;
}
.ui-datatable .ui-datatable-header {
	text-align: right !important;
}

.ui-button-text-only .ui-button-text {
	padding: 0.3em 0.4em;
}

.ui-selectcheckboxmenu-panel .ui-selectcheckboxmenu-header .ui-chkbox {
	visibility: hidden;
}

.ui-filter-column .ui-column-customfilter .custom-filter {
	width: 100%;
	box-sizing: border-box;
}

.year-spinner input {
	width: 100%;
	box-sizing: border-box;
}
p {
    margin-top: 0;
    margin-bottom: 1rem;
    font-size: 18px;
}
.notification {
	color: white;
	text-decoration: none;
	padding: 15px 26px;
	position: relative;
	display: inline-block;
	border-radius: 2px;
}

.notification .badge {
	position: absolute;
	top: -10px;
	right: -10px;
	padding: 5px 10px;
	border-radius: 50%;
	background: red;
	color: white;
}
    .ui-analog-clock {
        width: 200px;
    }
    div.ui-growl {
	   margin-top:125px;
	}
	.ui-tabs {
    position: relative;
    padding: .2em;
    -moz-transform: scale(1);
    -o-transform: scale(1);
    -webkit-transform: scale(1);
    transform: scale(1);
    margin: 20px;
}
</style>

<h:body style="cursor: auto;
    height: 1000px;
    background: lavender;">
	<nav class="navbar fixed-top navbar-light bg-dark"> 
	
	<a class="navbar-brand"
		href="" style="color:white;font-size: 25px; font-weight: 800;">Administracion de TodoArte</a>
	<h:form>
	<p:commandLink id="ajax" action="#{LoginAdmin.logout()}" style="list-style: none;text-decoration:none;color: white;font-size: 18px;font-weight: 500;padding-right: 20px;">
        <h:outputText value="Cerrar Seccion" />
    </p:commandLink>
	</h:form>

	</nav>
	<div style="display: flex;align-items: center;justify-content: space-between;padding: 20px;margin-top: 70px">
		<div style="font-weight: 700;font-size: 20px;">Bienvenido: #{LoginAdmin.nick}</div> <div style="font-weight: 700;font-size: 20px;"> <p:clock /></div>
	</div>

	<div class="card-header"
		style="padding: 20px; text-align: center; font-weight: 900; font-size: 20px;">
		Gestion de TodoArte, Artistas, Sitios, Contenidos.</div>

		<p:growl id="growl" showDetail="false" autoUpdate="true" sticky="true" />
	
		<p:tabView>
			<p:tab title="Artistas">
				<p>Artistas No baneados</p>
				<h:panelGrid columns="2" cellpadding="10">
		<h:form id="holandata">			
					
					<p:dataTable id="art1" var="ar" value="#{dtFilterView.art}"
						widgetVar="carsTable1" emptyMessage="No hay artistas aun"
						filteredValue="#{dtFilterView.filteredArt1}"
						globalFilterFunction="#{dtFilterView.globalFilterFunction}">

						<f:facet name="header">
							<p:outputPanel>
								<h:outputText value="Filtrado:" />
								<p:inputText id="globalFilter"
									onkeyup="PF('carsTable1').filter()"
									placeholder="buscar" />
							</p:outputPanel>
						</f:facet>

						<p:column headerText="Nick">
							
							<h:outputText value="#{ar.nick}" />
						</p:column>

						<p:column headerText="Nombre">
							<h:outputText value="#{ar.nombre}" />
						</p:column>

						<p:column headerText="Correo">
							<h:outputText value="#{ar.correo}" />
						</p:column>
						<p:column headerText="Notificar" style="text-align: center;">	
				
							<p:commandButton class="btn btn-dark" value="Noti" action="#{AdminBean.NotiArtista(ar.nick)}"
								  oncomplete="PF('addnoti').show()" style="text-align: center;"   />	
	

														
				
				
						</p:column>
						<p:column headerText="Banear" style="text-align: center;">
							<h:commandButton class="btn btn-dark"
								action="#{AdminBean.banArtista(ar.nick)}" update="art1" oncomplete="handleLoginRequest(xhr, status, args)"  value="Ban" />
						</p:column>

							
					</p:dataTable>
			</h:form>		
				</h:panelGrid>
				<p>Artistas baneados</p>
				<h:panelGrid columns="2" cellpadding="10">


<h:form id="sisisi">
					<p:dataTable var="ar2" value="#{dtFilterView.art2}"
						widgetVar="carsTable2" emptyMessage="No hay artistas baneados aun"
						filteredValue="#{dtFilterView.filteredArt2}"
						globalFilterFunction="#{dtFilterView.globalFilterFunction2}">

						<f:facet name="header">
							<p:outputPanel>
								<h:outputText value="Filtrado:" />
								<p:inputText  id="globalFilter2"
									onkeyup="PF('carsTable2').filter()" 
									placeholder="buscar" />
							</p:outputPanel>
						</f:facet>

						<p:column headerText="Nick">
							<h:outputText value="#{ar2.nick}" />
						</p:column>

						<p:column headerText="Nombre">
							<h:outputText value="#{ar2.nombre}" />
						</p:column>

						<p:column headerText="Correo">
							<h:outputText value="#{ar2.correo}" />
						</p:column>
						<p:column headerText="Notificar" style="text-align: center;">							
							<p:commandButton class="btn btn-dark"  value="Noti" action="#{AdminBean.NotiArtista(ar2.nick)}"
								 oncomplete="PF('addnoti').show()" style="text-align: center;"   />		
				
						</p:column>

						<p:column headerText="Desbanear" style="text-align: center;">
							<h:commandButton class="btn btn-dark"
								action="#{AdminBean.unbanArtista(ar2.nick)}"  oncomplete="handleLoginRequest(xhr, status, args)" value="UnBan" />
						</p:column>


					</p:dataTable>
</h:form>
				</h:panelGrid>
			</p:tab>
			<p:tab title="Categorias">
				<p style="padding: 20px">Listado de Categorias existentes en la
					plataforma</p>
				<h:panelGrid columns="2" cellpadding="10">

<h:form id="claro">
					<p:dataTable id="mascara" var="cate" value="#{dtFilterView.cat}"
						widgetVar="carsTable3" emptyMessage="No hay categorias aun"
						filteredValue="#{dtFilterView.filteredArt3}"
						globalFilterFunction="#{dtFilterView.globalFilterFunction3()}">

					<f:facet name="header">
							<p:outputPanel>
								<h:outputText value="Filtrado:" />
								<p:inputText  id="globalFilter3"
									onkeyup="PF('carsTable3').filter()" 
									placeholder="buscar" />
							</p:outputPanel>
						</f:facet>
						<p:column headerText="ID">
							<h:outputText value="#{cate.categoriaId}" />
						</p:column>
						<p:column headerText="Nombre">
							<h:outputText value="#{cate.nombre}" />
						</p:column>
						<p:column headerText="Principal">
							<h:outputText value="#{cate.principal}" />
						</p:column>


					</p:dataTable>
</h:form>
				</h:panelGrid>
				<div style="padding: 20px;display: flex;align-items: center;justify-content: space-evenly;">
					<div class="form-group">
						<label for="exampleInputEmail1" style="font-size: 20px">Agregar nueva Categoria</label>
					</div>
					<div class="form-group">
						<h:form>
							<p:commandButton type="button" value="Nueva" id="disabled"
								onclick="PF('addcat').show();" style="margin-right:20px;" />
						</h:form>
					</div>
				</div>
				


			</p:tab>

				<p:tab title="Contenidos">
				<p>Contenidos que han sido reportados</p>
				<h:panelGrid columns="2" cellpadding="10">
		<h:form id="hello">
					<p:dataTable var="cont" value="#{dtFilterView.conts}"
						widgetVar="carsTable2" emptyMessage="No hay contenidos aun"
						filteredValue="#{dtFilterView.filteredArt3}"
						globalFilterFunction="#{dtFilterView.globalFilterFunction2}">

						<f:facet name="header">
							<p:outputPanel>
								<h:outputText value="Filtrado:" />
								<p:inputText  id="globalFilter2"
									onkeyup="PF('carsTable5').filter()" 
									placeholder="buscar" />
							</p:outputPanel>
						</f:facet>

						<p:column headerText="Id">
							<h:outputText value="#{cont.idContenido}" />
						</p:column>

						<p:column headerText="Titulo">
							<h:outputText value="#{cont.titulo}" />
						</p:column>
						<p:column headerText="Reportes" style="text-align: center;">							
							<p:commandButton class="btn btn-dark"  value="Ver" action="#{dtFilterView.reporteslist()}"
								 oncomplete="PF('verReportes').show()" style="text-align: center;"   >
								 <f:param name="idR" value="#{cont.idContenido}"/>
								 </p:commandButton>		
				
						</p:column>
						<p:column headerText="Bloquear" style="text-align: center;">
							<h:commandButton class="btn btn-dark"
								action="#{AdminBean.banContenido(cont.idContenido)}"  oncomplete="handleLoginRequest(xhr, status, args)" value="BLoquear" />
						</p:column>


					</p:dataTable>
	</h:form>
				</h:panelGrid>
								<p>Contenidos que han sido bloqueados</p>
				<h:panelGrid columns="2" cellpadding="10">
					<h:form id="batman">
					<p:dataTable var="cont2" value="#{dtFilterView.contsban}"
						widgetVar="carsTable2" emptyMessage="No hay contenidos bloqueados aun"
						filteredValue="#{dtFilterView.filteredArt3}"
						globalFilterFunction="#{dtFilterView.globalFilterFunction2}">

						<f:facet name="header">
							<p:outputPanel>
								<h:outputText value="Filtrado:" />
								<p:inputText  id="globalFilter2"
									onkeyup="PF('carsTable5').filter()" 
									placeholder="buscar" />
							</p:outputPanel>
						</f:facet>

						<p:column headerText="Id">
							<h:outputText value="#{cont2.idContenido}" />
						</p:column>

						<p:column headerText="Titulo">
							<h:outputText value="#{cont2.titulo}" />
						</p:column>



					</p:dataTable>
					</h:form>
				</h:panelGrid>
				</p:tab>
			<p:tab title="Informacion de Pagos">

								<p>Informacion de Pagos</p>
				<h:panelGrid columns="2" cellpadding="10">
					<h:form id="batman2">
					<p:dataTable id="art1" var="ar" value="#{dtFilterView.art}"
						widgetVar="carsTable1" emptyMessage="No hay artistas aun"
						filteredValue="#{dtFilterView.filteredArt1}"
						globalFilterFunction="#{dtFilterView.globalFilterFunction}">

						<f:facet name="header">
							<p:outputPanel>
								<h:outputText value="Filtrado:" />
								<p:inputText id="globalFilter"
									onkeyup="PF('carsTable1').filter()"
									placeholder="buscar" />
							</p:outputPanel>
						</f:facet>

						<p:column headerText="Nick">
							
							<h:outputText value="#{ar.nick}" />
						</p:column>

						<p:column headerText="Nombre">
							<h:outputText value="#{ar.nombre}" />
						</p:column>
						
						<p:column headerText="Fecha de pago">
							<h:outputText value="#{AdminBean.cargFech(ar.nick)}" />
						</p:column>
						
						<p:column headerText="Contribucion">
							<h:outputText value="#{ar.contri}" />
						</p:column>
	
cargFech(int idA)

							
					</p:dataTable>
					</h:form>
				</h:panelGrid>

			</p:tab>
		</p:tabView>



	<h:form id="marmota">



		<p:dialog header="Nuevo Categoria" widgetVar="addcat" resizable="false"
			height="200" width="340">

						    <div class="ui-fluid">
						        <div class="p-field p-grid">
						            <p:outputLabel  styleClass="p-col-12 p-md-2" value="Nombre" />
						            <div class="p-col-12 p-md-10">
						                <p:inputText value="#{AdminBean.cate}"  required="true"/>
						            </div>
						        </div>
			
						    </div>
                        <f:facet name="footer">
                        <p:commandButton value="Crear" ajax="false" type="submit" update=":messages" action="#{AdminBean.nuevaCat()}"
                                 />
                        </f:facet>
		</p:dialog>
	</h:form>
	

<h:form id="efectivo">

		<p:dialog  header="Notificacion" widgetVar="addnoti"  resizable="false"
			height="200" width="340">

						    <div class="ui-fluid">
						        <div class="p-field p-grid">
						            <p:outputLabel  value="De (Admin)" /><hr />
						           
						            <p:outputLabel value="#{AdminBean.artiNoti}" ><p:autoUpdate /></p:outputLabel>
						            <div class="p-col-12 p-md-10">
						                <p:inputTextarea value="#{AdminBean.notiMensaj}"  required="true"><p:autoUpdate></p:autoUpdate></p:inputTextarea>
						            </div>
						        </div>
						    </div>
                        <f:facet name="footer">
                        
                           <p:commandButton value="Notificar" ajax="false" update="@form"  oncomplete="handleCargarRequest2(xhr, status, args)" action="#{AdminBean.nuevaNoti()}"
                                ></p:commandButton>
                      

                        </f:facet>
                       
		</p:dialog>
	   </h:form>
	   
	   <h:form id="creditel">

		<p:dialog  header="Ver Reportes" widgetVar="verReportes"  resizable="false"
			height="200" width="340">
			
					<p:dataTable var="String" value="#{dtFilterView.reportes}"
					
						 emptyMessage="No hay reportes" style="overflow-y: auto;">
						<p:autoUpdate/>
						<p:column headerText="Reportes al contenido">
							<h:outputText value="#{String}" />
						</p:column>



					</p:dataTable>					    
						                 
		</p:dialog>
	   </h:form>
	   
	   	<nav class="navbar fixed-bottom navbar-light bg-dark"> 
	   	<div style="    width: 100%;display: flex;align-content: center;justify-content: center;align-items: center;text-align: center;">
	   		<p style="text-align: center;color: white;">Copyright@2020 Tecnologo</p>
	   	</div>				
		</nav>
</h:body>


</html>